summaryrefslogtreecommitdiffstats
path: root/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-05-28 13:13:07 +0200
committerHolger Levsen <holger@layer-acht.org>2016-05-28 13:13:07 +0200
commitad84135a150966c950ba98ce612e08ee1eabf979 (patch)
tree3bb0190711ebe28f35cb2b5703f90c3117561e23 /hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
parent8b75d5686f545cb7b9e29239d27b78be6b4fc6cc (diff)
downloadjenkins.debian.net-ad84135a150966c950ba98ce612e08ee1eabf979.tar.xz
add new node, profitbricks-build10-amd64, for lvc tests
Diffstat (limited to 'hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup')
-rwxr-xr-xhosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup19
1 files changed, 19 insertions, 0 deletions
diff --git a/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
new file mode 100755
index 00000000..7552e993
--- /dev/null
+++ b/hosts/profitbricks-build10-amd64/etc/pbuilder/rebuild-hooks/C01_cleanup
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+echo "debug output: disk usage on $(hostname) at $(date -u)"
+df -h
+echo
+
+# exit if we are in the same UTS namespace as init ( != 2nd build )
+[ "$(readlink /proc/1/ns/uts)" = "$(readlink /proc/self/ns/uts)" ] && exit 0
+
+# cease using disorderfs
+if [ -d /tmp/disorderfs ] ; then
+ echo -n "Unmounting /tmp/disorderfs…"
+ fusermount -u "$BUILDDIR"
+ rmdir "$BUILDDIR"
+ mv /tmp/disorderfs "$BUILDDIR"
+ echo " done."
+fi